> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hanko.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List audit log entries

> Get a list of audit logs



## OpenAPI

````yaml openapi-passkeys get /{tenant_id}/audit_logs
openapi: 3.1.0
info:
  version: '1.2'
  title: passkey-server
  description: >-
    This API shall represent the private and public endpoints for passkey
    registration, management and authentication
  termsOfService: https://www.hanko.io/terms
  contact:
    email: developers@hanko.io
    url: https://www.hanko.io
    name: Hanko Dev Team
  license:
    url: https://www.gnu.org/licenses/gpl-3.0.de.html
    name: GPLv3
servers:
  - url: https://passkeys.hanko.io
security: []
tags:
  - name: credentials
    description: Represents all objects which are related to WebAuthn credentials
  - name: mfa
    description: Represents all objects which are related to MFA in common
  - name: webauthn
    description: Represents all objects which are related to WebAuthn in common
  - name: audit_logs
    description: Represents all objects which are related to audit logs
paths:
  /{tenant_id}/audit_logs:
    get:
      tags:
        - audit_logs
      summary: List audit log entries
      description: Get a list of audit logs
      operationId: get-tenants-tenant_id-audit_logs
      parameters:
        - name: page
          in: query
          description: Page to start from
          schema:
            type: number
            default: 1
        - name: per_page
          in: query
          description: How many logs should be displayed per page
          schema:
            type: number
            default: 20
        - name: start_time
          in: query
          description: timestamp from where to start the list
          schema:
            type: string
            format: date-time
        - name: end_time
          in: query
          description: timestamp on which to end the list
          schema:
            type: string
            format: date-time
        - name: type
          in: query
          description: comma separated list of types to query for
          schema:
            type: string
        - name: actor_user_id
          in: query
          description: id of the user who performed the action
          schema:
            type: string
        - name: meta_source_ip
          in: query
          description: ip address from which the action was performed
          schema:
            type: string
        - name: q
          in: query
          description: the search string
          schema:
            type: string
        - $ref: '#/components/parameters/tenant_id'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/audit_log'
          headers:
            Link:
              schema:
                type: string
              description: links to pages
            X-Total-Count:
              schema:
                type: number
              description: Total number of log entries
        '400':
          $ref: '#/components/responses/error'
        '500':
          $ref: '#/components/responses/error'
      security: []
      servers:
        - url: https://passkeys.hanko.io
components:
  parameters:
    tenant_id:
      name: tenant_id
      in: path
      description: UUID of the tenant
      required: true
      schema:
        type: string
        format: uuid
        minLength: 36
        maxLength: 36
        example:
          - 1f496bcd-49da-4839-a02f-7ce681ccb488
  schemas:
    audit_log:
      type: object
      title: audit_log
      properties:
        id:
          type: string
          format: uuid
        type:
          type: string
        error:
          type: string
        meta_http_request_id:
          type: string
        meta_source_ip:
          type: string
        meta_user_agent:
          type: string
        actor_user_id:
          type: string
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
        tenant_id:
          type: string
          format: uuid
      required:
        - id
        - type
        - meta_http_request_id
        - meta_source_ip
        - meta_user_agent
        - created_at
        - updated_at
        - tenant_id
  responses:
    error:
      description: Error Response with detailed information
      content:
        application/json:
          schema:
            type: object
            properties:
              title:
                type: string
                example:
                  - explanatory title
              details:
                type: string
                example:
                  - Information which helps resolving the problem
              status:
                type: integer

````